KFM2030/2005 – IVI-COM Multi-Environment Drivers

未設定メニュー

IVI-COM Multi-Environment Drivers

An IVI-COM multi-environment instrument driver compliant with the IVI specifications. Compatible with Microsoft Office VBA, Visual Basic 6.0, Visual Basic.NET.

Ver.

2.1.0.0

Last update

2010/4/22

Configuration

  • Win2k (x86, SP4 + Update Rollup 1)
  • WinXP (x86, SP2 or later)
  • Vista (x86/x64)
  • 7 (x86/x64)
  • GPIB/RS-232C/USB

Notes

  • To use IVI-COM instrument drivers, a VISA Library that supports VISA COM. We recommend using one of the VISA Libraries supporting VISA COM shown below. (Mind that multiple versions of VISA cannot be installed at a time.)
    • NI-VISA 4.6 or later
    • Agilent IO Libraries Suite 15.5 or later
    • KI-VISA 4.2.4 or later
  • When using 32bit OS, the x86 edition of the instrument driver can only be installed.
  • When using 64bit OS, both x64x86 editions of the instrument driver must be installed independently as your need.
  • Wrapper modules for LabVIEW (VER 7.1 or later) are also included.

Download

Common Library / Documents

VISA Libraries
IVI Instrument Driver Programming Guide

  • 2024-04-22 README
    [KikusuiKfm IVI-COM Instrument Driver] README
    
    Last Update 01/APR/2010
    --------------------------------------------------
    
    The KikusuiKfm is the IVI-COM instrument driver that complies with the
    IVI specifications. The driver can be used with most of ADEs (application
    development environment) such as Microsoft Developer studio, Microsoft
    Office VBA, National Instruments LabVIEW, etc. as long as the ADE supports
    Microsoft COM (Component Object Model) technologies.
    
    
    Supported Instruments
    ---------------------
    Kikusui KFM2030 Fuel Cell Impedance Meter
    Kikusui KFM2005 Fuel Cell Impedance Meter
    
    System Requirement
    ---------------------
    This instrument driver requires the following operating environment.
    
      Windows 2000 (x86, SP4)
      Windows XP (x86, SP2 or later)
      Windows Vista (x86/x64)
      Windows 7 (x86/x64)
    
    Internet Explorer:
      Internet Explorer 7.0 or later is required.
    
    Windows Scripting Host:
      When the instrument driver is installed, it registers itself to 
      the system registry. Some portion of this operation requires that 
      your PC is able to operate scripting files (.VBS) file.
    
    IVI Shared Components:
      Version 2.0 or later
    
    VISA Shared Components:
      any version
    
    Kikusui IVI Configuration Utility:
      This utility enables you to configure the logical names, virtual names,
      and other default behaviours about the driver. If your application is
      aware of interchangeability operations, it is highly recommended to 
      install the configuration utility. Otherwise it is an option.
    
    VISA:
      VISA Library that complies with VISA specification 4.0 or later with
      VISA COM software. Actually NI-VISA 4.0 or later, Agilent IO Libraries
      Suite 15 or later, or KI-VISA 4.2.4 or later is recommended.
    
    GPIB:
      If you connect your instruments through the GPIB interface, you must 
      prepare the GPIB board and its driver, which are supported by the VISA
      library that you use.
    
    RS232:
      If you connect your instruments through the RS232 interface, you do not
      have to install any additional software.
    
    
    Revision History
    ----------------
    1.1.0.12  18/Mar/2004:
    Bugfix - Initialize() did not invalidate state cache.
    
    1.0.0.10  10/Dec/2003 the first release
    
    2.1.0.0   02/APR/2010: KFM2005 support added
    
    IVI Compliance Info
    -------------------
    
    IVI Compliance Category:
    IVI-COM IviDmm Specific Instrument Driver
    Class Specification Version: 3.0
    Group Capabilities Supported:
    
    IviDmmBase				= Supported
    IviDmmACMeasurement 			= Not supported
    IviDmmFrequencyMeasurement 		= Not supported
    IviDmmTemperatureMeasurement 		= Not supported
    IviDmmThermocoupleMeasurement 		= Not supported
    IviDmmResistanceTemperatureDevice 	= Not supported
    IviDmmThermistor 			= Not supported
    IviDmmMultiPoint 			= Supported
    IviDmmTriggerSlope 			= Not supported
    IviDmmSoftwareTrigger 			= Supported
    IviDmmDeviceInfo 			= Not supported
    IviDmmAutoRangeValue 			= Not supported
    IviDmmAutoZero 				= Not supported
    IviDmmPowerLineFrequency 		= Not supported
    
    Optional Features:
    Interchangeability Checking	= False
    State Caching			= True
    Coercion Recording		= False
    
    Driver Specification:
    Driver Revision:		2.1.0.x
    Driver Vendor:			Kikusui
    
    Component Identifier:		Kikusui2030
    Description:			Fuel Cell Impedance Meter
    
    Hardware Information:
    Instrument Manufacturer:	Kikusui
    Supported Instrument Models:	KFM2030,KFM2005
    Supported Bus Interface:	GPIB, Serial, USB
    
    Software Information:
    Support Software Required:	VISA Library of SPEC 4.0
    VisaCom Library			Required
    IVI Shared Components		Required
    
    Source Code Availability:	Not available
    
    
    (c)2010 Kikusui Electronics Corp. All rights reserved.
    
    

如有任何问题或担忧,请与我们联系。

下载产品目录 产品目录
采购考虑/报价要求 Contact Us
close

Search